DROP proc op_grabarfondocaja
GO

create proc op_grabarfondocaja
( @DATEPROCE 	ud_fecha,
@SALESPOINT	ud_ptovta,
@SALESPERID	ud_salespersonid,
@DATEDOC	ud_fecha,
@CURYID		ud_curyid,
@TOTALPEN	ud_monto,
@TOTALUSD 	ud_monto )
as
begin tran

	insert into op_reservationcash ( DATEPROCE , SALESPOINT, SALESPERID, DATEDOC, STKCLSEDX, CURYID, TOTALPEN, TOTALUSD ) 
	values  ( @DATEPROCE, @SALESPOINT, @SALESPERID, @DATEDOC, 0, @CURYID,@TOTALPEN, @TOTALUSD  )

    IF (@@error!=0)
    BEGIN
        RAISERROR  20000 'op_grabarfondocaja: No se puede Insertar datos en  op_reservationcash'
        ROLLBACK TRAN
        RETURN(1)
    
    END

    COMMIT TRAN
    RETURN(0)


